#include <SPI.h>
#include <Mirf.h>
#include <nRF24L01.h>
#include <MirfHardwareSpiDriver.h>

void setup(){
  Serial.begin(9600);
  pinMode(2, OUTPUT);
  
  Mirf.spi = &MirfHardwareSpi;
  Mirf.init();
  Mirf.setRADDR((byte *)"serv1");
  Mirf.payload = sizeof(unsigned long);
  Mirf.config();
  
  Serial.println("Listening..."); 
}

void loop(){
  
  byte data[Mirf.payload];
    if(!Mirf.isSending() && Mirf.dataReady()){
      Serial.println("Got packet");
      Mirf.getData(data);
      unsigned long data = 2;
      Mirf.setTADDR((byte *)"clie1");
      Mirf.send((byte *)&data);
      Serial.println("Reply sent.");
      digitalWrite(2, HIGH);
      delay(200);
      digitalWrite(2,LOW);
  }
}
